{
  "name": "@strata-js/rpcbridge",
  "version": "2.0.0-rc.2",
  "description": "Strata.js RPC Bridge Server",
  "type": "module",
  "main": "dist/cjs/rpcbridge.js",
  "module": "dist/esm/rpcbridge.js",
  "exports": {
    ".": {
      "require": "./dist/cjs/rpcbridge.js",
      "import": "./dist/esm/rpcbridge.js"
    }
  },
  "files": [
    "dist"
  ],
  "repository": "https://gitlab.com/strata-js/tools/strata-rpcbridge.git",
  "author": "Christopher S. Case <chris.case@g33xnexus.com>",
  "license": "MIT",
  "scripts": {
    "prepublishOnly": "npm run build:npm",
    "build:npm": "npm run clean && npm run build:esm && npm run build:cjs&& npm run build:cjs:pkg",
    "build:esm": "tsc --project tsconfig.npm.json",
    "build:cjs": "tsc --project tsconfig.npm.json --module commonjs --moduleResolution node --outDir dist/cjs",
    "build:cjs:pkg": "node -p \"JSON.stringify({type:'commonjs'})\" > dist/cjs/package.json",
    "build:server": "npm run clean && tsc --project tsconfig.server.json",
    "build:dev": "tsc --project tsconfig.dev.json",
    "clean": "rimraf dist/",
    "lint:ci": "eslint -f junit \"src/**/*.ts\" --max-warnings=0 > eslint-junit.xml",
    "lint": "eslint --fix src/**/*.ts --max-warnings=0",
    "start": "npm run build:dev && node ./dist/server.js",
    "test": "echo \"No test specified\" && exit 0",
    "test:types": "npm run build:npm && attw --pack .",
    "prepare": "husky"
  },
  "devDependencies": {
    "@arethetypeswrong/cli": "^0.17.3",
    "@eslint/js": "^9.20.0",
    "@stylistic/eslint-plugin": "^3.1.0",
    "@types/eslint__js": "^8.42.3",
    "@types/node": "^22.13.4",
    "eslint-formatter-junit": "^8.40.0",
    "globals": "^15.15.0",
    "husky": "^9.1.7",
    "lint-staged": "^15.4.3",
    "pino-pretty": "^13.0.0",
    "rimraf": "^6.0.1",
    "ts-essentials": "^10.0.4",
    "typescript": "^5.7.3",
    "typescript-eslint": "^8.24.1"
  },
  "lint-staged": {
    "*.{ts,js}": [
      "npm run lint"
    ]
  },
  "dependencies": {
    "@strata-js/strata": "^2.0.0",
    "@strata-js/util-config": "^0.8.4",
    "ajv": "^8.17.1",
    "ajv-errors": "^3.0.0",
    "ajv-formats": "^3.0.1",
    "ajv-keywords": "^5.1.0",
    "dotenv": "^16.4.7",
    "express": "^4.21.2",
    "lodash": "^4.17.21",
    "socket.io": "^4.8.1"
  },
  "overrides": {
    "eslint": "^9.7.0"
  }
}
